=== debian/changelog ===
diamond-aligner (0.8.35+dfsg-1) unstable; urgency=medium

  * New upstream version
    Closes: #852752
  * Drop -march=native flag
    Closes: #852753

 -- Andreas Tille <tille@debian.org>  Fri, 03 Feb 2017 21:42:37 +0100

diamond-aligner (0.8.34+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #850242)

 -- Andreas Tille <tille@debian.org>  Thu, 05 Jan 2017 11:51:45 +0100
