## diamond-aligner 0.9.8+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -59,9 +59,6 @@
   src/search/stage2.cpp
   src/output/output_format.cpp
   src/output/join_blocks.cpp
-  src/run/mapper.cpp
-  src/data/count_approximate.cpp
-  src/data/index.cpp
   src/data/frequent_seeds.cpp
   src/align/query_mapper.cpp
   src/align/align_target.cpp
@@ -73,12 +70,21 @@
   src/dp/comp_based_stats.cpp
   src/extra/model_sim.cpp
   src/run/double_indexed.cpp
-  src/search/search_query.cpp
   src/search/collision.cpp
   src/output/sam_format.cpp
   src/align/align.cpp
   src/search/setup.cpp
   src/extra/opt.cpp
+  src/dp/diag_scores.cpp
+  src/data/taxonomy.cpp
+  src/lib/tantan/tantan.cc
+  src/basic/masking.cpp
+  src/dp/swipe.cpp
+  src/dp/banded_sw.cpp
+  src/data/sorted_list.cpp
+  src/data/seed_set.cpp
+  src/util/binary_file.cpp
+  src/util/simd.cpp
 )
 
 target_link_libraries(diamond ${ZLIB_LIBRARY} ${CMAKE_THREAD_LIBS_INIT})
