=== debian/changelog ===
diamond-aligner (0.9.8+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 19 Jun 2017 08:15:18 +0200
