=== debian/control ===
Source: diamond-aligner
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake,
               zlib1g-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/diamond-aligner.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/diamond-aligner.git
Homepage: https://github.com/bbuchfink/diamond

Package: diamond-aligner
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: med-config (>= 2.1)
Description: accelerated BLAST compatible local sequence aligner
 DIAMOND is a sequence aligner for protein and translated DNA searches
 and functions as a drop-in replacement for the NCBI BLAST software
 tools. It is suitable for protein-protein search as well as DNA-protein
 search on short reads and longer sequences including contigs and
 assemblies, providing a speedup of BLAST ranging up to x20,000.
