## diamond-aligner 0.9.17%2Bdfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,10 +9,14 @@
     set(CMAKE_EXE_LINKER_FLAGS "-static")
 endif()
 
-include(CheckCXXCompilerFlag)
-CHECK_CXX_COMPILER_FLAG("-march=native" COMPILER_SUPPORTS_MARCHNATIVE)
-if(COMPILER_SUPPORTS_MARCHNATIVE)
+if(CMAKE_BUILD_MARCH)
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -march=${CMAKE_BUILD_MARCH}")
+else()
+  include(CheckCXXCompilerFlag)
+  CHECK_CXX_COMPILER_FLAG("-march=native" COMPILER_SUPPORTS_MARCHNATIVE)
+  if(COMPILER_SUPPORTS_MARCHNATIVE)
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -march=native")
+  endif()
 endif()
 
 find_package(ZLIB REQUIRED)
@@ -50,18 +54,15 @@
   src/util/util.cpp 
   src/util/Timer.cpp
   src/basic/basic.cpp
-  src/dp/floating_sw.cpp
   src/basic/hssp.cpp
   src/dp/ungapped_align.cpp
   src/run/tools.cpp
   src/dp/greedy_align.cpp
-  src/run/benchmark.cpp
   src/search/stage2.cpp
   src/output/output_format.cpp
   src/output/join_blocks.cpp
   src/data/frequent_seeds.cpp
   src/align/query_mapper.cpp
-  src/align/align_target.cpp
   src/output/blast_tab_format.cpp
   src/dp/padded_banded_sw.cpp
   src/dp/needleman_wunsch.cpp
@@ -79,12 +80,21 @@
   src/data/taxonomy.cpp
   src/lib/tantan/tantan.cc
   src/basic/masking.cpp
-  src/dp/swipe.cpp
+  src/dp/swipe/swipe.cpp
   src/dp/banded_sw.cpp
   src/data/sorted_list.cpp
   src/data/seed_set.cpp
   src/util/binary_file.cpp
   src/util/simd.cpp
+  src/output/taxon_format.cpp
+  src/output/view.cpp
+  src/output/output_sink.cpp
+  src/output/target_culling.cpp
+  src/align/greedy_pipeline.cpp
+  src/align/swipe_pipeline.cpp
+  src/dp/swipe/banded_3frame_swipe.cpp
+  src/dp/swipe/banded_swipe.cpp
+  src/align/banded_swipe_pipeline.cpp
 )
 
 target_link_libraries(diamond ${ZLIB_LIBRARY} ${CMAKE_THREAD_LIBS_INIT})
