## diamond-aligner 0.9.17+dfsg

=== debian/changelog ===
diamond-aligner (0.9.17+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Sat, 10 Feb 2018 18:10:44 +0100

diamond-aligner (0.9.10+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Force the symbol with c++ explicit function template instantiation for the
    latter prototype instead of relying on implicit instantiation
  * Standards-Version: 4.1.0 (no changes needed)
  * Do not parse d/changelog

 -- Andreas Tille <tille@debian.org>  Mon, 18 Sep 2017 14:51:21 +0200
