=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                cmake,
                zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/diamond-aligner.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/diamond-aligner.git
 Homepage: https://github.com/bbuchfink/diamond
