## diamond-aligner 0.9.22+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 project (DIAMOND)
 
 option(BUILD_STATIC "BUILD_STATIC" OFF)
+option(EXTRA "EXTRA" OFF)
 
 if(BUILD_STATIC)
     set(CMAKE_FIND_LIBRARY_SUFFIXES ".a")
@@ -32,7 +33,6 @@
 add_executable(diamond src/run/main.cpp
   src/basic/config.cpp
   src/util/tinythread.cpp
-  src/util/compressed_stream.cpp
   src/basic/score_matrix.cpp
   src/blast/blast_filter.cpp
   src/blast/blast_seg.cpp
@@ -84,7 +84,6 @@
   src/dp/banded_sw.cpp
   src/data/sorted_list.cpp
   src/data/seed_set.cpp
-  src/util/binary_file.cpp
   src/util/simd.cpp
   src/output/taxon_format.cpp
   src/output/view.cpp
@@ -95,7 +94,36 @@
   src/dp/swipe/banded_3frame_swipe.cpp
   src/dp/swipe/banded_swipe.cpp
   src/align/banded_swipe_pipeline.cpp
+  src/data/ref_dictionary.cpp
+  src/util/io/compressed_stream.cpp
+  src/util/io/deserializer.cpp
+  src/util/io/file_sink.cpp
+  src/util/io/file_source.cpp
+  src/util/io/input_file.cpp
+  src/util/io/input_stream_buffer.cpp
+  src/util/io/output_file.cpp
+  src/util/io/output_stream_buffer.cpp
+  src/util/io/serializer.cpp
+  src/util/io/temp_file.cpp
+  src/util/io/text_input_file.cpp
+  src/data/taxon_list.cpp
+  src/data/taxonomy_nodes.cpp
+  src/util/algo/MurmurHash3.cpp
+  src/search/stage0.cpp
+  src/util/memory/memory_pool.cpp
+  src/data/seed_array.cpp
+  src/output/paf_format.cpp
 )
+
+if(EXTRA)
+  target_sources(diamond
+    PUBLIC
+      src/extra/benchmark.cpp
+	  src/extra/test.cpp
+	  src/dp/sw_3frame.cpp
+  )
+  add_definitions(-DEXTRA)
+endif()
 
 target_link_libraries(diamond ${ZLIB_LIBRARY} ${CMAKE_THREAD_LIBS_INIT})
