=== debian/changelog ===
diamond-aligner (0.9.22+dfsg-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Wed, 17 Oct 2018 13:34:34 +0200

diamond-aligner (0.9.22+dfsg-2) unstable; urgency=medium

  * Do not use march=native flag
    Closes: #906615
  * Standards-Version: 4.2.0

 -- Andreas Tille <tille@debian.org>  Sun, 19 Aug 2018 06:41:39 +0200

diamond-aligner (0.9.22+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 22 May 2018 15:54:27 +0200

diamond-aligner (0.9.21+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Thu, 26 Apr 2018 15:10:07 +0200

diamond-aligner (0.9.19+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 29 Mar 2018 09:37:31 +0200
