=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper (>= 11~),
                cmake,
                zlib1g-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/diamond-aligner.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/diamond-aligner.git
+Standards-Version: 4.2.0
+Vcs-Browser: https://salsa.debian.org/med-team/diamond-aligner
+Vcs-Git: https://salsa.debian.org/med-team/diamond-aligner.git
 Homepage: https://github.com/bbuchfink/diamond
 
 Package: diamond-aligner
