## diamond-aligner 0.9.23+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,8 @@
     set(BUILD_SHARED_LIBRARIES OFF)
     set(CMAKE_EXE_LINKER_FLAGS "-static")
 endif()
+
+set(CMAKE_CXX_STANDARD 11)
 
 if(CMAKE_BUILD_MARCH)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -march=${CMAKE_BUILD_MARCH}")
@@ -24,7 +26,11 @@
 find_package(Threads REQUIRED)
 
 set(CMAKE_BUILD_TYPE Release)
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wno-uninitialized -Wno-deprecated-declarations -Wno-ignored-attributes -Wno-unused-variable")
+if(WIN32)
+  add_definitions(-D_CRT_SECURE_NO_WARNINGS)
+else()
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wno-uninitialized -Wno-ignored-attributes -Wno-unused-variable")
+endif()
 
 include_directories(
   "${CMAKE_SOURCE_DIR}/src"
@@ -113,6 +119,10 @@
   src/util/memory/memory_pool.cpp
   src/data/seed_array.cpp
   src/output/paf_format.cpp
+  src/util/system/system.cpp
+  src/run/cluster.cpp
+  src/util/algo/greedy_vortex_cover.cpp
+  src/util/algo/greedy_vortex_cover_weighted.cpp
 )
 
 if(EXTRA)
