=== debian/changelog ===
diamond-aligner (0.9.23+dfsg-2) unstable; urgency=medium

  * Restrict architecture to amd64
    Closes: #916370

 -- Andreas Tille <tille@debian.org>  Thu, 13 Dec 2018 19:52:54 +0100

diamond-aligner (0.9.23+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Thu, 13 Dec 2018 13:48:51 +0100
