=== debian/changelog ===
diamond-aligner (0.9.24+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 29 Dec 2018 21:10:22 +0100
