=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Build-Depends: debhelper (>= 11~),
                cmake,
                zlib1g-dev
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/med-team/diamond-aligner
 Vcs-Git: https://salsa.debian.org/med-team/diamond-aligner.git
 Homepage: https://github.com/bbuchfink/diamond
 
 Package: diamond-aligner
-Architecture: any
+Architecture: amd64
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Recommends: med-config (>= 2.1)
