## diamond-aligner 0.9.25+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -47,7 +47,10 @@
 find_package(ZLIB REQUIRED)
 find_package(Threads REQUIRED)
 
-set(CMAKE_BUILD_TYPE Release)
+if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
+  set(CMAKE_BUILD_TYPE Release)
+endif()
+
 if(WIN32)
   add_definitions(-D_CRT_SECURE_NO_WARNINGS)
 else()
@@ -60,7 +63,6 @@
 
 add_executable(diamond src/run/main.cpp
   src/basic/config.cpp
-  src/util/tinythread.cpp
   src/basic/score_matrix.cpp
   src/blast/blast_filter.cpp
   src/blast/blast_seg.cpp
@@ -95,15 +97,12 @@
   src/dp/padded_banded_sw.cpp
   src/dp/needleman_wunsch.cpp
   src/output/blast_pairwise_format.cpp
-  src/extra/roc.cpp
   src/dp/comp_based_stats.cpp
-  src/extra/model_sim.cpp
   src/run/double_indexed.cpp
   src/search/collision.cpp
   src/output/sam_format.cpp
   src/align/align.cpp
   src/search/setup.cpp
-  src/extra/opt.cpp
   src/dp/diag_scores.cpp
   src/data/taxonomy.cpp
   src/lib/tantan/tantan.cc
@@ -146,6 +145,10 @@
   src/util/algo/greedy_vortex_cover.cpp
   src/util/algo/greedy_vortex_cover_weighted.cpp
   src/util/sequence/sequence.cpp
+  src/tools/tsv_record.cpp
+  src/tools/tools.cpp
+  src/util/system/getRSS.cpp
+  src/util/math/sparse_matrix.cpp
 )
 
 if(EXTRA)
@@ -154,6 +157,9 @@
       src/extra/benchmark.cpp
 	  src/extra/test.cpp
 	  src/dp/sw_3frame.cpp
+	  src/extra/roc.cpp
+	  src/extra/model_sim.cpp
+	  src/extra/opt.cpp
   )
   add_definitions(-DEXTRA)
 endif()
