=== debian/changelog ===
diamond-aligner (0.9.25+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Drop unneeded paragraph from d/copyright

 -- Andreas Tille <tille@debian.org>  Thu, 01 Aug 2019 15:00:33 +0200
