=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                cmake,
                zlib1g-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/diamond-aligner
 Vcs-Git: https://salsa.debian.org/med-team/diamond-aligner.git
 Homepage: https://github.com/bbuchfink/diamond
