## diamond-aligner 0.9.29+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,6 @@
 option(EXTRA "EXTRA" OFF)
 option(STATIC_LIBGCC "STATIC_LIBGCC" OFF)
 option(STATIC_LIBSTDC++ "STATIC_LIBSTDC++" OFF)
-option(SSSE3 "SSSE3" OFF)
-option(POPCNT "POPCNT" OFF)
 
 IF(STATIC_LIBSTDC++)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -static-libstdc++")
@@ -29,19 +27,8 @@
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=gnu++11")
 endif()
 
-if(SSSE3)
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mssse3")
-  if(POPCNT)
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mpopcnt")
-  endif()
-elseif(CMAKE_BUILD_MARCH)
+if(CMAKE_BUILD_MARCH)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -march=${CMAKE_BUILD_MARCH}")
-else()
-  include(CheckCXXCompilerFlag)
-  CHECK_CXX_COMPILER_FLAG("-march=native" COMPILER_SUPPORTS_MARCHNATIVE)
-  if(COMPILER_SUPPORTS_MARCHNATIVE)
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -march=native")
-  endif()
 endif()
 
 find_package(ZLIB REQUIRED)
@@ -52,7 +39,7 @@
 endif()
 
 if(WIN32)
-  add_definitions(-D_CRT_SECURE_NO_WARNINGS)
+  add_definitions(-D_CRT_SECURE_NO_WARNINGS -D_ITERATOR_DEBUG_LEVEL=0)
 else()
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wno-uninitialized -Wno-ignored-attributes -Wno-unused-variable")
 endif()
@@ -61,7 +48,25 @@
   "${CMAKE_SOURCE_DIR}/src"
   "${ZLIB_INCLUDE_DIR}")
 
-add_executable(diamond src/run/main.cpp
+set(DISPATCH_OBJECTS
+"src/dp/swipe/banded_3frame_swipe.cpp"
+"src/dp/swipe/swipe.cpp"
+"src/dp/swipe/banded_swipe.cpp"
+"src/search/collision.cpp"
+"src/search/stage1.cpp"
+"src/search/stage2.cpp"
+"src/tools/benchmark.cpp"
+"src/dp/swipe/swipe_wrapper.cpp"
+)
+
+add_library(arch_generic OBJECT ${DISPATCH_OBJECTS})
+target_compile_options(arch_generic PUBLIC -DDISPATCH_ARCH=ARCH_GENERIC)
+add_library(arch_sse4_1 OBJECT ${DISPATCH_OBJECTS})
+target_compile_options(arch_sse4_1 PUBLIC -DDISPATCH_ARCH=ARCH_SSE4_1 -mssse3 -mpopcnt -msse4.1)
+
+add_executable(diamond $<TARGET_OBJECTS:arch_generic>
+  $<TARGET_OBJECTS:arch_sse4_1>
+  src/run/main.cpp
   src/basic/config.cpp
   src/basic/score_matrix.cpp
   src/blast/blast_filter.cpp
@@ -78,7 +83,6 @@
   src/data/reference.cpp
   src/data/seed_histogram.cpp
   src/output/daa_record.cpp
-  src/search/search.cpp
   src/util/command_line_parser.cpp
   src/util/seq_file_format.cpp
   src/util/util.cpp 
@@ -88,7 +92,6 @@
   src/dp/ungapped_align.cpp
   src/run/tools.cpp
   src/dp/greedy_align.cpp
-  src/search/stage2.cpp
   src/output/output_format.cpp
   src/output/join_blocks.cpp
   src/data/frequent_seeds.cpp
@@ -99,7 +102,6 @@
   src/output/blast_pairwise_format.cpp
   src/dp/comp_based_stats.cpp
   src/run/double_indexed.cpp
-  src/search/collision.cpp
   src/output/sam_format.cpp
   src/align/align.cpp
   src/search/setup.cpp
@@ -107,9 +109,7 @@
   src/data/taxonomy.cpp
   src/lib/tantan/tantan.cc
   src/basic/masking.cpp
-  src/dp/swipe/swipe.cpp
   src/dp/banded_sw.cpp
-  src/data/sorted_list.cpp
   src/data/seed_set.cpp
   src/util/simd.cpp
   src/output/taxon_format.cpp
@@ -118,8 +118,6 @@
   src/output/target_culling.cpp
   src/align/greedy_pipeline.cpp
   src/align/swipe_pipeline.cpp
-  src/dp/swipe/banded_3frame_swipe.cpp
-  src/dp/swipe/banded_swipe.cpp
   src/align/banded_swipe_pipeline.cpp
   src/data/ref_dictionary.cpp
   src/util/io/compressed_stream.cpp
@@ -137,7 +135,6 @@
   src/data/taxonomy_nodes.cpp
   src/util/algo/MurmurHash3.cpp
   src/search/stage0.cpp
-  src/util/memory/memory_pool.cpp
   src/data/seed_array.cpp
   src/output/paf_format.cpp
   src/util/system/system.cpp
@@ -149,6 +146,8 @@
   src/tools/tools.cpp
   src/util/system/getRSS.cpp
   src/util/math/sparse_matrix.cpp
+  src/lib/tantan/LambdaCalculator.cc
+  src/data/taxonomy_filter.cpp
 )
 
 if(EXTRA)
