=== debian/changelog ===
diamond-aligner (0.9.29+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Restrict the use of the gold linker on architectures where it is not
    available.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 14 Jan 2020 08:54:46 +0100

diamond-aligner (0.9.29+dfsg-4) unstable; urgency=medium

  * Breaks+Replaces: diamond
    Closes: #948849

 -- Andreas Tille <tille@debian.org>  Tue, 14 Jan 2020 08:03:08 +0100

diamond-aligner (0.9.29+dfsg-3) unstable; urgency=medium

  * Team upload.
  * patch to enable non-x86 builds again (no -msse, etc..)
    Closes: #942850

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 13 Jan 2020 19:34:04 +0100

diamond-aligner (0.9.29+dfsg-2) unstable; urgency=medium

  [ Frédéric Bonnard ]
  * Upstream 0.9.29 includes patch to build diamond-aligner on any
    Closes: #942850

  [ Andreas Tille ]
  * Package diamond was removed from Debian so the name /usr/bin/diamond
    can be used again
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Fri, 10 Jan 2020 13:50:28 +0100

diamond-aligner (0.9.29+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Steffen Moeller <moeller@debian.org>  Thu, 05 Dec 2019 00:17:29 +0100

diamond-aligner (0.9.28+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * One patch against upstream could go (-mnative no longer set)

 -- Steffen Moeller <moeller@debian.org>  Fri, 08 Nov 2019 19:28:00 +0100

diamond-aligner (0.9.26+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Steffen Moeller <moeller@debian.org>  Fri, 20 Sep 2019 00:20:39 +0200
