=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

# for hardening you might like to uncomment this:
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/default.mk

# Use the gold linker where we can
ifeq (,$(filter $(DEB_HOST_ARCH),hppa ia64 m68k riscv64 sh4))
export LD=ld.gold
export DEB_CFLAGS_MAINT_APPEND+=-fuse-ld=gold
export DEB_CXXFLAGS_MAINT_APPEND+=-fuse-ld=gold
endif

ifeq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
	EXTRA=-DX86=OFF
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRA)

override_dh_compress:
	dh_compress --exclude=.pdf
