## diamond-aligner 0.9.30

=== CMakeLists.txt ===
--- 
+++ 
@@ -46,7 +46,8 @@
 
 include_directories(
   "${CMAKE_SOURCE_DIR}/src"
-  "${ZLIB_INCLUDE_DIR}")
+  "${ZLIB_INCLUDE_DIR}"
+  "${CMAKE_SOURCE_DIR}/src/lib")
 
 set(DISPATCH_OBJECTS
 "src/dp/swipe/banded_3frame_swipe.cpp"
@@ -57,6 +58,7 @@
 "src/search/stage2.cpp"
 "src/tools/benchmark.cpp"
 "src/dp/swipe/swipe_wrapper.cpp"
+"src/util/tantan.cpp"
 )
 
 add_library(arch_generic OBJECT ${DISPATCH_OBJECTS})
@@ -86,7 +88,6 @@
   src/util/command_line_parser.cpp
   src/util/seq_file_format.cpp
   src/util/util.cpp 
-  src/util/Timer.cpp
   src/basic/basic.cpp
   src/basic/hssp.cpp
   src/dp/ungapped_align.cpp
@@ -95,7 +96,7 @@
   src/output/output_format.cpp
   src/output/join_blocks.cpp
   src/data/frequent_seeds.cpp
-  src/align/query_mapper.cpp
+  src/align/legacy/query_mapper.cpp
   src/output/blast_tab_format.cpp
   src/dp/padded_banded_sw.cpp
   src/dp/needleman_wunsch.cpp
@@ -107,7 +108,6 @@
   src/search/setup.cpp
   src/dp/diag_scores.cpp
   src/data/taxonomy.cpp
-  src/lib/tantan/tantan.cc
   src/basic/masking.cpp
   src/dp/banded_sw.cpp
   src/data/seed_set.cpp
@@ -116,9 +116,9 @@
   src/output/view.cpp
   src/output/output_sink.cpp
   src/output/target_culling.cpp
-  src/align/greedy_pipeline.cpp
-  src/align/swipe_pipeline.cpp
-  src/align/banded_swipe_pipeline.cpp
+  src/align/legacy/greedy_pipeline.cpp
+  src/align/legacy/swipe_pipeline.cpp
+  src/align/legacy/banded_swipe_pipeline.cpp
   src/data/ref_dictionary.cpp
   src/util/io/compressed_stream.cpp
   src/util/io/deserializer.cpp
@@ -140,7 +140,6 @@
   src/util/system/system.cpp
   src/run/cluster.cpp
   src/util/algo/greedy_vortex_cover.cpp
-  src/util/algo/greedy_vortex_cover_weighted.cpp
   src/util/sequence/sequence.cpp
   src/tools/tsv_record.cpp
   src/tools/tools.cpp
@@ -148,6 +147,21 @@
   src/util/math/sparse_matrix.cpp
   src/lib/tantan/LambdaCalculator.cc
   src/data/taxonomy_filter.cpp
+  src/util/algo/upgma.cpp
+  src/util/algo/upgma_mc.cpp
+  src/util/algo/edge_vec.cpp
+  src/util/string/string.cpp
+  src/align/extend.cpp
+  src/align/target.cpp
+  src/test/simulate.cpp
+  src/test/test.cpp
+  src/align/ranking.cpp
+  src/align/ungapped.cpp
+  src/align/gapped.cpp
+  src/align/culling.cpp
+  src/cluster/medoid.cpp
+  src/align/output.cpp
+  src/tools/roc.cpp
 )
 
 if(EXTRA)
