=== debian/changelog ===
diamond-aligner (0.9.30-3) unstable; urgency=medium

  * Team upload.
  * Patch from upstream to fix i386 & s390x builds

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 17 Feb 2020 14:22:48 +0100

diamond-aligner (0.9.30-2) unstable; urgency=medium

  * Team upload.
  * No ld.gold for alpha

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 06 Feb 2020 15:41:48 +0100

diamond-aligner (0.9.30-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 05 Feb 2020 14:04:34 +0100
