=== debian/control ===
--- 
+++ 
@@ -6,16 +6,18 @@
 Build-Depends: debhelper-compat (= 12),
                cmake,
                zlib1g-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/diamond-aligner
 Vcs-Git: https://salsa.debian.org/med-team/diamond-aligner.git
 Homepage: https://github.com/bbuchfink/diamond
 
 Package: diamond-aligner
-Architecture: amd64
+Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Recommends: med-config (>= 2.1)
+Breaks: diamond
+Replaces: diamond
 Description: accelerated BLAST compatible local sequence aligner
  DIAMOND is a sequence aligner for protein and translated DNA searches
  and functions as a drop-in replacement for the NCBI BLAST software
