=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 include /usr/share/dpkg/default.mk
 
 # Use the gold linker where we can
-ifeq (,$(filter $(DEB_HOST_ARCH),hppa ia64 m68k riscv64 sh4))
+ifeq (,$(filter $(DEB_HOST_ARCH),alpha hppa ia64 m68k riscv64 sh4))
 export LD=ld.gold
 export DEB_CFLAGS_MAINT_APPEND+=-fuse-ld=gold
 export DEB_CXXFLAGS_MAINT_APPEND+=-fuse-ld=gold
