=== debian/changelog ===
diamond-aligner (2.0.4-2) unstable; urgency=medium

  * Team upload.
  * Remove mips64el from the arch list, it is not supported upstream

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 31 Aug 2020 16:12:52 +0200

diamond-aligner (2.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Added patch to fix some typos and minor grammatical errors
  * Fix cross-building with test invocation

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 31 Aug 2020 15:03:46 +0200

diamond-aligner (2.0.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 10 Aug 2020 23:37:19 +0200

diamond-aligner (0.9.35-1) unstable; urgency=medium

  * Run test suite verbosely (no --quiet option)
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 20 Jun 2020 15:44:31 +0200

diamond-aligner (0.9.33-1) unstable; urgency=medium

  * New upstream version
    Closes: #959374
  * Remove sh4 from architecture list
    Closes: #959373
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 02 Jun 2020 11:06:15 +0200

diamond-aligner (0.9.32-2) unstable; urgency=medium

  * Fixed different build issues
    Closes: #958515, #958090
  * Upstream says diamond-aligner does not run on 32bit systems
    https://github.com/bbuchfink/diamond/issues/347#issuecomment-622051316

 -- Andreas Tille <tille@debian.org>  Thu, 30 Apr 2020 21:43:33 +0200

diamond-aligner (0.9.32-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 29 Apr 2020 12:43:07 +0200

diamond-aligner (0.9.31-2) unstable; urgency=medium

  * Use test from proteinorto as build time and autopkgtest

 -- Andreas Tille <tille@debian.org>  Tue, 28 Apr 2020 19:10:26 +0200

diamond-aligner (0.9.31-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 27 Mar 2020 16:13:46 +0100
