=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                cmake,
                zlib1g-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/diamond-aligner
 Vcs-Git: https://salsa.debian.org/med-team/diamond-aligner.git
 Homepage: https://github.com/bbuchfink/diamond
+Rules-Requires-Root: no
 
 Package: diamond-aligner
-Architecture: any
+Architecture: any-amd64 arm64 ppc64el s390x ia64 ppc64 riscv64 sparc64
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Recommends: med-config (>= 2.1)
