=== debian/changelog ===
diamond-aligner (2.0.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Spelling patch removed, it was merged upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 21 Nov 2020 19:56:55 +0100
