## diamond-aligner 2.0.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -44,6 +44,10 @@
   add_definitions(-DDP_STAT)
 endif()
 
+if(EXTRA)
+  add_definitions(-DEXTRA)
+endif()
+
 add_definitions(-DMAX_SHAPE_LEN=${MAX_SHAPE_LEN})
 
 IF(STATIC_LIBGCC)
@@ -74,6 +78,10 @@
 else()
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=gnu++11 -Wall -Wextra -Wno-implicit-fallthrough -Wreturn-type -Wno-unused -Wno-unused-parameter -Wno-unused-variable -Wno-uninitialized -Wno-deprecated-copy -Wno-unknown-warning-option")
   # -fsanitize=address -fno-omit-frame-pointer
+endif()
+
+if (CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-pragma-clang-attribute -Wno-overloaded-virtual -Wno-missing-braces")
 endif()
 
 if (CMAKE_COMPILER_IS_GNUCC AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 5)
@@ -116,7 +124,7 @@
 set(OBJECTS
   src/run/main.cpp
   src/basic/config.cpp
-  src/basic/score_matrix.cpp
+  src/stats/score_matrix.cpp
   src/data/queries.cpp
   src/data/reference.cpp
   src/data/seed_histogram.cpp
@@ -138,7 +146,6 @@
   src/output/blast_tab_format.cpp
   src/dp/needleman_wunsch.cpp
   src/output/blast_pairwise_format.cpp
-  src/dp/comp_based_stats.cpp
   src/run/double_indexed.cpp
   src/output/sam_format.cpp
   src/align/align.cpp
@@ -187,7 +194,6 @@
   src/align/extend.cpp
   src/test/simulate.cpp
   src/test/test.cpp
-  src/align/ranking.cpp
   src/align/ungapped.cpp
   src/align/gapped.cpp
   src/align/culling.cpp
@@ -198,7 +204,6 @@
   src/align/output.cpp
   src/tools/roc.cpp
   src/test/data.cpp
-  src/basic/matrix_tables.cpp
   src/test/test_cases.cpp
   src/chaining/smith_waterman.cpp
   src/basic/value.cpp
@@ -229,19 +234,28 @@
   src/align/global_ranking/extend.cpp
   src/align/load_hits.cpp
   src/tools/rocid.cpp
-  src/basic/cbs.cpp
+  src/lib/blast/blast_seg.cpp
+  src/lib/blast/blast_filter.cpp
+  src/lib/blast/nlm_linear_algebra.cpp
+  src/stats/matrices/blosum45.cpp
+  src/stats/matrices/blosum50.cpp
+  src/stats/matrices/blosum62.cpp
+  src/stats/matrices/blosum80.cpp
+  src/stats/matrices/blosum90.cpp
+  src/stats/matrices/pam250.cpp
+  src/stats/matrices/pam30.cpp
+  src/stats/matrices/pam70.cpp
+  src/stats/stats.cpp
+  src/stats/cbs.cpp
+  src/stats/comp_based_stats.cpp
+  src/stats/hauser_correction.cpp
+  src/stats/matrix_adjust.cpp
 )
 
 if(X86)
-  add_executable(diamond $<TARGET_OBJECTS:arch_avx2>
-    $<TARGET_OBJECTS:arch_sse4_1>
-    $<TARGET_OBJECTS:arch_generic>
-    ${OBJECTS}
-  )
+  add_executable(diamond $<TARGET_OBJECTS:arch_generic> $<TARGET_OBJECTS:arch_sse4_1> $<TARGET_OBJECTS:arch_avx2> ${OBJECTS})
 else()
-add_executable(diamond $<TARGET_OBJECTS:arch_generic>
-  ${OBJECTS}
-)
+  add_executable(diamond $<TARGET_OBJECTS:arch_generic> ${OBJECTS})
 endif()
 
 target_link_libraries(diamond ${ZLIB_LIBRARY} ${CMAKE_THREAD_LIBS_INIT})
