=== debian/changelog ===
diamond-aligner (2.0.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 03 Jan 2021 14:45:31 +0100
