=== debian/changelog ===
diamond-aligner (2.0.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 15 Feb 2021 09:29:10 +0100
