=== debian/rules ===
--- 
+++ 
@@ -27,3 +27,8 @@
 
 override_dh_compress:
 	dh_compress --exclude=.pdf
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	cd debian/tests && PATH=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE):$(PATH) sh diamond-calls
+endif
